PETSc version 3.15.5
Fix/Edit manual page

# PetscSFWindowSetInfo

Set the MPI_Info handle that will be used for subsequent windows allocation

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFWindowSetInfo(PetscSF sf,MPI_Info info)

Logically Collective

### Input Argument

| sf | - star forest for communication
| info | - MPI_Info handle

Notes: the info handle is duplicated with a call to MPI_Info_dup unless info = MPI_INFO_NULL.

### See Also

PetscSFSetFromOptions(), PetscSFWindowGetInfo()

### Level

advanced

### Location

src/vec/is/sf/impls/window/sfwindow.c

### Implementations

PetscSFWindowSetInfo_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages